namespace Generator_Class_BD.Clases.NetCore._2.Negocio
{
    using Generator_Class_BD.Clases.Consultas;
    using Generator_Class_BD.Clases.NetCore._2.Negocio.BL;
    using Generator_Class_BD.Clases.Transversales.BO;
    using System.Data;

    public class Negocio
    {
        public static void GenerarBO(string vNombreClase, DataSet dsCol, string txtRuta, string TxtSolucion, string autor, string company)
        {
            ClaseBO.GenerarBO( vNombreClase,  dsCol,  txtRuta,  TxtSolucion,  autor,  company);
        }

        public static void GenerarBOConsultas(Consulta consulta, string txtRuta, string TxtSolucion, string autor, string company)
        {
            ClaseBO.GenerarBOConsultas( consulta,  txtRuta,  TxtSolucion,  autor,  company);
        }

        public static void GenerarBL(string vNombreClase, DataSet dsCol, string txtRuta, string TxtSolucion, string autor, string company)
        {
            ClaseBL.GenerarBL( vNombreClase,  dsCol,  txtRuta,  TxtSolucion,  autor,  company);
        }

        public static void GenerarBLConsultas(Consulta consulta, string txtRuta, string TxtSolucion, string autor, string company)
        {
            ClaseBL.GenerarBLConsultas( consulta,  txtRuta,  TxtSolucion,  autor,  company);
        }
    }
}